#include<stdio.h>
#include<math.h>

int main(){

  int broj, h, i, j, k, rez, max, min;
  
  scanf("%d", &broj);
  
  if(broj<100 || broj>999) {
    printf("-1\n");
    return 1;
  }
    
   h=broj%10;
   i=(broj/10)%10;
   j=(broj/100)%10;
   
   max=h;
   if(i>max)
     max=i;
   if(j>max)
     max=j;
   
   min=h;
   if(i<min)
     min=i;
   if(j<min)
     min=j;
    
   k=0;
   if(h!=min && h!=max)
     k=h;
   if(i!=min && i!=max)
     k=i;
   if(j!=min && j!=max)
     k=j;
   
   broj=min*100 + k*10 + max;
   
   

   

   
   printf("%d\n", broj);
    
  
    
    
  return 0;
}
